=== debian/changelog ===
deadbeef (0.7.2-1mx150+1) mx; urgency=medium

  * New upstream release:
    - fixed title formatting %filename% crash
    - fixed streaming of aac content in mp4 container
    - added https:// support to vfs_curl (Viktor Semykin)
    - added zh_TW translation to deadbeef.desktop (laichiaheng)
    - fixed loading cue sheets without any metadata fields
    - fixed file close bug in VTX plugin
    - fixed evaluating nested square brackets syntax in title formatting
    - improved support for large fields in ID3v2 tags
    - fixed potential crash bug in artwork plugin
    - fixed path separator '/' escaping regression in converter
    - moved ffmpeg plugin to the end of plugin list, to prevent conflicts with
      other input plugins
    - added $fix_eol, $hex title formatting
    - fixed importing [, ] and \n characters from old configuration files
    - fixed "Group by artist/date/title" title formatting
    - added enumerating/exposing of all supported file extensions to ffmpeg
      plugin (Xinya Zhang)
    - fixed handling of ':' in file path in vfs_zip plugin
    - fixed old ffmpeg versions support
    - fixed wma decoder loudness issue
    - fixed DCA buffer allocation, to make it more musl-friendly
    - added $num implementation to title formatting (Peter Lamby)
    - fixed --nowplaying-tf behavior when player is stopped
  * Add potfiles.patch from getdeb's source.
  * Fix empty deadbeef-dbg package.
  * Add intltool and autopoint to build-deps, autopoint for older dh-autoreconf.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 27 Apr 2016 11:08:43 -0700

deadbeef (0.7.1-1mx150+1) mx; urgency=medium

  * New upstream release:
    - fixed GTKUI maximized window layout saving/restoring.
    - fixed GTKUI maximized window column autoresize saving/restoring.
    - fixed artwork plugin version checks.
    - disabled bogus shift-jis detection, which was overriding cp1252.
    - fixed mp3 bitrate calculation regression.
    - fixed wrong padding of formatted time.
    - fixed importing legacy title formatting fields bug.
    - fixed incorrect output format after resuming paused session.
    - fixed $ext title formatting bug.
    - fixed %tracknumber% title formatting bug.
    - fixed auto-updating title formatting fields.
    - fixed FreeBSD compile issues.
    - fixed cache cleaner crash bug.
    - fixed crash when trying to play GYM files.
    - fixed importing legacy playlist grouping config.
    - fixed FLAC metadata field mapping.
    - fixed FLAC metadata track/total and disc/total splitting.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 17 Apr 2016 20:08:03 -0700

deadbeef (0.7.0-4mx150+1) mx; urgency=medium

  * Rebuild for MX-15:
    - drop superfluous quilt build-depend.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 01 Feb 2016 12:46:34 -0800

deadbeef (0.7.0-4~trusty~ppa1) trusty; urgency=low

  * New upstream release 0.7.0

 -- starws <starws.box@gmail.com>  Mon, 01 Feb 2016 17:35:10 +0300

deadbeef (0.6.2.2-1~trusty~ppa1) trusty; urgency=low

  * Upstream bugfix release

 -- starws <starws.box@gmail.com>  Sun, 14 Sep 2014 15:36:15 +0400

deadbeef (0.6.2.0-1~trusty~ppa1) trusty; urgency=low

  * New upstream release, deadbeef 0.6.2

 -- starws <starws.box@gmail.com>  Tue, 06 Aug 2014 17:15:35 +0400

deadbeef (0.6.1.2-1~trusty~ppa1) trusty; urgency=low

  * Upstream fix for bug #1062: fixed stop_after_current

 -- starws <starws.box@gmail.com>  Fri, 28 Mar 2014 17:40:35 +0400

deadbeef (0.6.1.1-1~saucy~ppa1) saucy; urgency=low

  * Upstream fix for bug #1050: crash when loading playlist from cmdline

 -- starws <starws.box@gmail.com>  Thu, 13 Feb 2014 17:20:45 +0400

deadbeef (0.6.1.0-4~saucy~ppa1) saucy; urgency=low

  * New upstream release, deadbeef 0.6.1

 -- starws <starws.box@gmail.com>  Mon, 03 Feb 2014 09:29:45 +0400

deadbeef (0.5.6-2~precise~ppa1) precise; urgency=low

  * New upstream release, deadbeef 0.5.6
  * Fixed precise and oneric runtime dependencies
  * Fixed dev-plugins license

 -- starws <starws.box@gmail.com>  Sat, 29 Dec 2012 17:40:34 +0400

deadbeef (0.5.5-1~precise~ppa1) precise; urgency=low

  * New upstream release, deadbeef 0.5.5.
  * Added depends: libsm, libice.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sun, 10 Jun 2012 10:50:25 +0600

deadbeef (0.5.4-1~precise~ppa1) precise; urgency=low

  * New upstream release, deadbeef 0.5.4.
  * Backport to Precise Pangolin.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sat, 12 May 2012 09:59:20 +0600

deadbeef (0.5.2-1~oneiric~ppa1) oneiric; urgency=low

  * New upstream release, deadbeef 0.5.2.
  * Added build depend: yasm.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sun, 25 Mar 2012 10:15:14 +0600

deadbeef (0.5.1-1~oneiric~ppa2) oneiric; urgency=low

  * Patch for fixing compile errors resulting from latest
    FFMPEG (backported from git).

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Thu, 17 Nov 2011 22:11:02 +0600

deadbeef (0.5.1-1~oneiric~ppa1) oneiric; urgency=low

  * New upstream release, deadbeef 0.5.1.
  * Added forgotten depends libcddb2 and libcdio10.
  * Backporting to Ubuntu 11.10 Oneiric Ocelot.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Thu, 17 Nov 2011 18:32:52 +0600

deadbeef (0.5.0-1~maverick~ppa1) maverick; urgency=low

  * New upstream release, deadbeef 0.5.0.
  * Update control, manpage, rules files.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Mon, 16 May 2011 01:05:59 +0600

deadbeef (0.4.4-1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, deadbeef 0.4.4 (bug fix only).
  * Added package with debugging symbols.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sun, 14 Nov 2010 23:34:31 +0500

deadbeef (0.4.3-1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, deadbeef 0.4.3.
  * Remove libmms depend. libmms bundled.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sun, 31 Oct 2010 20:14:06 +0500

deadbeef (0.4.2-1~maverick3~ppa2) maverick; urgency=low


