=== debian/control ===
Source: deadbeef
Section: sound
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: starws <starws.box@gmail.com>
Homepage: http://deadbeef.sourceforge.net/
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7.0.50~),
               dh-autoreconf,
               autopoint | dh-autoreconf (>= 8),
               autotools-dev,
               intltool,
               libao-dev,
               libasound2-dev,
               libatk1.0-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libbinio-dev,
               libbonoboui2-dev,
               libcddb2-dev,
               libcdio-dev,
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libdca-dev,
               libfaad-dev,
               libflac-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgnome2-dev,
               libgnomeui-dev,
               libgtk2.0-dev,
#               libgtk-3-dev,
               libgtkglext1-dev,
               libjansson-dev,
               libmad0-dev,
               libmms-dev,
               libmpcdec-dev,
               libmpg123-dev,
               libogg-dev,
               libpango1.0-dev,
               libpulse-dev,
               libsamplerate0-dev,
               libsidplay2-dev,
               libsndfile1-dev,
               libsoundtouch-dev,
               libwavpack-dev,
               libx11-dev,
               libxml2-dev,
               libzip-dev,
               mesa-common-dev,
#               valgrind,
               zlib1g-dev

Package: deadbeef-plugins-dev
Section: libdevel
Architecture: all
Depends: deadbeef (= ${source:Version}), ${misc:Depends}
Description: DeaDBeeF plugins development files
 This package contains all supplementary files you need to develop your plugins
 for DeaDBeeF audio player.

Package: deadbeef
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio player for GNU/Linux systems with X11
 Main features:
  * audio formats supported: mp3, ogg vorbis, flac, ape, wv, wav, aac, alac, tta,
    MPC, Opus, audio CD
  * ID3v1, ID3v2.2/2.3/2.4, APEv2, xing/info and cuesheet tags support
  * utf8/cp1251/iso8859-1/GBK/shift-JIS charsets autodetection in
    cuesheets and id3 tags
  * sid and some popular chiptune formats like nsf
  * tracker modules like mod, s3m, it, xm, etc
  * customizable GTK user interface layout
  * no GNOME or KDE dependencies - just GTK and several small libraries
  * last.fm scrobbling
  * radio stream playback
  * customizable keyboard shortcuts
  * converter plugin
  * pulseaudio, OSS and ALSA output
  * m3u/PLS playlists, OSD notify and equalizer plugins

Package: deadbeef-dbg
Section: debug
Priority: extra
Architecture: any
Depends: deadbeef (= ${binary:Version}), ${misc:Depends}
Description: DeaDBeeF gdb debugging symbols package
 This package contains gdb debugging symbols for the deadbeef package.
