=== debian/rules ===
#! /usr/bin/make -f

export DH_ALWAYS_EXCLUDE := README

%:
	dh $@ --parallel

override_dh_auto_configure:
	sh autogen.sh
	dh_auto_configure -- --prefix=/usr --enable-ffmpeg --enable-gtk2 \
	--disable-gtk3

override_dh_install:
	find debian/tmp/usr -type f -iname "*.la" -delete
	dh_install

override_dh_compress:
	dh_compress -XChangeLog -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1

override_dh_strip:
	dh_strip --dbg-package=deadbeef-dbg
