=== debian/changelog ===
deadbeef (1.8.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use 3.0 (quilt) source format.
  * debian/control: 
    - fix descriptions of the deadbeef-gtk* packages.
    - sort build-depends.
    - add conflicts and replaces for deadbeef-plugins-dev.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Apr 2019 15:34:02 -0700

deadbeef (1.8.0-1~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Pavel <login.spv@gmail.com>  Sun, 07 Apr 2019 07:48:56 +0000

deadbeef (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Happy Packager <happy@example.com>  Sun, 07 Apr 2019 12:17:25 +0500
