=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE := COPYING:COPYING.GPLv2:COPYING.LGPLv2.1

DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEBIAN_CODENAME = $(shell echo $$DIST)
ifeq "$(DEBIAN_CODENAME)" ""
	DEBIAN_CODENAME = $(shell dpkg-parsechangelog | awk '/^Distribution: / {print $$2}')
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_configure:
	dh_testdir
	./autogen.sh
	dh_auto_configure

override_dh_install:
	dh_install
	@cp ChangeLog debian/deadbeef/usr/share/doc/deadbeef/changelog.deadbeef
	cd  debian/deadbeef/usr/lib/$(DEB_HOST_MULTIARCH) && rm deadbeef/*gtk2*
	cd  debian/deadbeef/usr/lib/$(DEB_HOST_MULTIARCH) && rm deadbeef/*gtk3*
	cd  debian/deadbeef/usr/lib/$(DEB_HOST_MULTIARCH) && rm deadbeef/*GTK3*
	cd  debian/deadbeef/usr/lib/$(DEB_HOST_MULTIARCH) && rm deadbeef/*GTK2*
	cd  debian && sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`


override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

override_dh_compress:
	dh_compress -Xchangelog.deadbeef -Xabout.txt

override_dh_strip:
	dh_strip --no-automatic-dbgsym
