## deadbeef 1.8.2

=== debian/changelog ===
deadbeef (1.8.2-1~mx19+1) mx; urgency=medium

  * New upstream release: 
    - Volume control from command line supports increment syntax
    - Fixed writing multi-value fields into FLAC tags
    - Map ALBUMARTIST field to ALBUM ARTIST field in FLAC
    - Fixed sound output plugin selection bug in GTK UI
    - Fixed crash when opening files of 0 size
    - Fixed UI freeze when nullout plugin is selected
    - Fixed a regression in restoring the last selected folder in GTK
      file chooser

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Aug 2019 17:25:15 -0700

deadbeef (1.8.1-1~mx17+1) mx; urgency=medium

  * New upstream release: 
    - Fixed audio freeze while sorting
    - Fixed error messages when loading PLS playlist with relative paths
    - Removed the unmaintained sndio plugin
    - Added experimental subgrouping support in playlist
    - Added new title formatting functions $stripprefix and $swapprefix
    - Updated Repeat and Shuffle hotkey names to match the menus
    - Fixed rounding bug of total playtime in statusbar
    - Added FLAC plugin option to ignore corrupted stream errors
    - Fixed reloading replaygain info
    - Fixed writing replaygain info to APEv2 tags

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Jul 2019 15:11:57 -0700
