=== debian/control ===
Source: deadbeef
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 9),
                autoconf,
                automake,
                autopoint,
                autotools-dev,
                bison,
                intltool,
                libasound2-dev,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libcddb2-dev,
                libcdio-dev,
                libcurl4-gnutls-dev,
                libfaad-dev,
                libflac-dev,
                libglu1-mesa-dev,
                libgtk2.0-dev,
                libgtk-3-dev,
                libgtkglext1-dev,
                libimlib2-dev,
                libjansson-dev,
                libltdl-dev | libltdl7-dev,
                libmad0-dev,
                libmms-dev,
                libmpcdec-dev,
                libmpg123-dev,
                libnotify-dev,
                libogg-dev,
                libopusfile-dev,
                libpulse-dev,
                libsamplerate0-dev,
                libsndfile1-dev,
                libtool,
                libvorbis-dev,
                libwavpack-dev,
                libx11-dev,
                libzip-dev,
                mesa-common-dev,
                quilt,
                yasm
Standards-Version: 4.1.3
Homepage: http://deadbeef.sourceforge.net/

Package: deadbeef-dev
Section: libdevel
Architecture: all
Depends: deadbeef (>= ${source:Version}), ${misc:Depends}
Conflicts: deadbeef-plugins-dev
Replaces: deadbeef-plugins-dev
Description: DeaDBeeF plugins development files
 DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
 .
 This package contains all supplementary files you need to develop your plugins
 for the DeaDBeeF audio player.

Package: deadbeef-gtk3
Architecture: any
Depends: deadbeef (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ 3 interface to DeaDBeeF
 DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
 .
 This package has the GTK+ 3 interface to DeaDBeef. If you want to use it,
 install it and remove deadbeef-gtk2.

Package: deadbeef-gtk2
Architecture: any
Depends: deadbeef (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GTK+ 2 interface to DeaDBeeF
 DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
 .
 This package has the GTK+ 2 interface to DeaDBeef. If you want to use it,
 install it and remove deadbeef-gtk3.

Package: deadbeef
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deadbeef-gtk2 | deadbeef-gtk3
Description: ultimate music player for GNU/Linux systems
 DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
 .
 Features:
 .
  * mp3, ogg vorbis, flac, ape, wv, wav
  * ID3v1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, xing/info tags support
  * character set detection for non-unicode ID3 tags - supports cp1251
    and iso8859-1
  * unicode tags are fully supported as well (both utf8 and ucs2)
  * cuesheet support for mp3, ogg, flac, ape
  * autodetection of utf8/cp1251/iso8859-1 charsets in cuesheets
  * sid and some popular chiptune formats like nsf
  * tracker modules like mod, s3m, it, xm, etc
  * HVSC song length database support for sid
  * gtk2 interface with custom highly speed/memory optimized widgets
  * no GNOME or KDE dependencies - just gtk2 and several small libraries
  * minimize to tray, with scrollwheel volume control
  * drag and drop, both inside of playlist, and from filemanagers and such
  * control playback from command line (allows global hotkeys using xbindkeys)
  * seeking works in all supported formats
  * plugin support; ships with several standard plugins, such as global hotkeys
    and last.fm scrobbler; sdk is included
  * duration calculation is as precise as possible for vbr mp3
    files (with and without xing/info tags)
