=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,8 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -n
 
-override_dh_auto_configure:
+#override_dh_auto_configure:
 	dh_testdir
-	./autogen.sh
 	dh_auto_configure
 
 override_dh_install:
@@ -42,7 +41,7 @@
 	dh_installchangelogs -k ChangeLog
 
 override_dh_compress:
-	dh_compress -Xchangelog.deadbeef -Xabout.txt
+	dh_compress -XChangeLog -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
