=== debian/changelog ===
deadbeef (1.8.4-1~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 20 Apr 2021 20:04:30 -0400

deadbeef (1.8.4-1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux:
    - Soundtouch plugin has been updated, and is now included in the releases.
    - Added %last_modified% title formatting keyword (Cristian Ciocaltea).
    - Fixed stack overflow bug in converter.
    - Fixed buffer overflow bug in mp3 parser.
    - Fixed handling of leading forward shash character in zipper file names.
    - Fixed handling user-specified file mask in artwork plugin.
    - Fixed CBR MP3 scanning performance.
    - Fixed stack overflow in title formatting tint range calculation.
    - Fixed pulseaudio plugin configuration backwards compatibility issue.
    - Fixed last.fm scrobbling of streaming shoutcast tracks.
    - Fixed deadlock when loading cuesheets which recursively reference
      themselves.
    - Fixed a false-positive when detecting free format MP3 files.
    - Fixed skipping unsupported fields in cuesheets.
    - Fixed a regression which caused MP3 tag editing to crash when text can’t
      be represented as CP1252.
    - Fixed playback of certain network streams.
    - Fixed handling of ID3v2 COMM frame content description data.

  * Bump to debhelper-compat 12.
  * Drop quilt BD.
  * Add patch from DMO's build.
  * Don't build soundtouch plugin for i386: it FTBFS.
  * Dont build separate -gtk2 or gtk3 packages any longer.
  * Add debian/watch from DMO.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Jun 2020 07:50:49 -0700

deadbeef (1.8.3-1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
    - Fixed a CD Text reading issue.
    - Added title formatting functions: len2, longer, longest, padcut,
      padcut_right, progress, progress2, right, roman, rot13, shortest, strchr,
      stricmp, strrchr, strstr, substr, tab, trim (esainane@github).
    - Fixed a bunch of memory bugs in title formatting (esainane@github).
    - Added optional automatic playlist sorting (kpcee@github).
    - Added title formatting value %playback_time_ms% (nonoo@github).
    - Added an option to start deadbeef hidden / minimized to tray
      (kpcee@github).
    - Fixed %_path_raw% to always produce an URI (Evgeny Kravchenko).
    - Fixed rounding of %selection_playback_time% (kpcee@github).
    - Fixed a memory leak in AAC plugin.
    - Fixed crash when removing playlist from UI layout (Nicolai Syvertsen).
    - Added logging of plugin load errors.
    - Added an option to replaygain scan all unscanned files in playlist
      (kpcee@github).
    - Added detecting and ignoring freeformat MP3 files.
    - Removed logging of playlist load debug messages.
    - Fixed playback stuttering after deleting files.
    - Fixed deleting files using playlist tab context menu.
    - Fixed saving playlist after deleting files.
    - Fixed saving playlist after replaygain scan.
    - Fixed a bunch of crashes and memory leaks when opening playlist context
      menu (Christian Boxdörfer).
    - Fixed a performance issue when seeking in MP3 files.
    - Fixed a bunch of issues with Repeat and Shuffle implementation.
    - Fixed handling of in-stream HTTP headers for streaming audio.
    - Fixed a bunch of bugs in HTTP stream interruption.
    - Fixed semicolon-separated values handling in track properties dialog.
    - Fixed choosing next track when the currently playing track was removed.
    - Fixed seeking out of bounds using hotkeys.
    - Fixed saving opus header gain when no replaygain info is present.
    - Improved remove from disk dialog (kpcee@github).
    - Fixed ID3v2 TLAN (LANGUAGE) and TMED (MEDIA TYPE) mapping to be consistent
      with other formats.
    - Fixed replaygain bug causing it to be ON by default.
    - Fixed bug in elapsed time calculation in replaygain scanner UI.
    - Fixed a stack overflow bug when writing ID3v1.
    - Added ID3v2 POPM rating support, both reading and writing.
    - Fixed an issue with splitters not reaching the view edges.
    - Fixed single-quote escaping issue in ShellExec.
    - Fixed Add Location dialog not adding URLs.
    - Fixed ffmpeg file handle leak.
    - Added remove playlist confirmation dialog in GTK UI (kpcee@github).
    - Fixed DTS channel count metadata.
    - Fixed loading MP3 album art of APIC type=0 (Other).
    - Added album art fallback to png (jakesfr@github).
    - Fixed ALSA hanging after audio format change.
    - Fixed handling "ICY 200 OK" status in vfs-curl (thesame).
    - Improved EQ UI layout in the DSP settings.
    - Fixed streamer being stuck in buffering mode when trying to play deleted
      files.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Mar 2020 10:41:12 -0700
