=== debian/control ===
--- 
+++ 
@@ -3,19 +3,15 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
-Build-Depends: debhelper (>= 9),
-                autoconf,
-                automake,
-                autopoint,
-                autotools-dev,
+Build-Depends: debhelper-compat (= 12),
                 bison,
                 intltool,
                 libasound2-dev,
-                libavcodec-dev,
                 libavformat-dev,
                 libavutil-dev,
                 libcddb2-dev,
                 libcdio-dev,
+                libcdparanoia-dev,
                 libcurl4-gnutls-dev,
                 libfaad-dev,
                 libflac-dev,
@@ -25,6 +21,7 @@
                 libgtkglext1-dev,
                 libimlib2-dev,
                 libjansson-dev,
+                libjpeg62-turbo-dev,
                 libltdl-dev | libltdl7-dev,
                 libmad0-dev,
                 libmms-dev,
@@ -40,9 +37,7 @@
                 libvorbis-dev,
                 libwavpack-dev,
                 libx11-dev,
-                libzip-dev,
-                mesa-common-dev,
-                quilt,
+                libzip-dev (>= 1.0.1~),
                 yasm
 Standards-Version: 4.1.3
 Homepage: http://deadbeef.sourceforge.net/
@@ -59,27 +54,11 @@
  This package contains all supplementary files you need to develop your plugins
  for the DeaDBeeF audio player.
 
-Package: deadbeef-gtk3
-Architecture: any
-Depends: deadbeef (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: GTK+ 3 interface to DeaDBeeF
- DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
- .
- This package has the GTK+ 3 interface to DeaDBeef. If you want to use it,
- install it and remove deadbeef-gtk2.
-
-Package: deadbeef-gtk2
-Architecture: any
-Depends: deadbeef (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: GTK+ 2 interface to DeaDBeeF
- DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
- .
- This package has the GTK+ 2 interface to DeaDBeef. If you want to use it,
- install it and remove deadbeef-gtk3.
-
 Package: deadbeef
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, deadbeef-gtk2 | deadbeef-gtk3
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: deadbeef-gtk2, deadbeef-gtk3
+Replaces: deadbeef-gtk2, deadbeef-gtk3
 Description: ultimate music player for GNU/Linux systems
  DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
  .
@@ -96,7 +75,7 @@
   * tracker modules like mod, s3m, it, xm, etc
   * HVSC song length database support for sid
   * gtk2 interface with custom highly speed/memory optimized widgets
-  * no GNOME or KDE dependencies - just gtk2 and several small libraries
+  * no GNOME or KDE dependencies - just gtk2 or 3 and several small libraries
   * minimize to tray, with scrollwheel volume control
   * drag and drop, both inside of playlist, and from filemanagers and such
   * control playback from command line (allows global hotkeys using xbindkeys)
