=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

ifeq (,$(filter-out i386,$(DEB_HOST_ARCH_CPU)))
	confflags += --disable-soundtouch
endif

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

%:
	dh $@

override_dh_install:
	dh_install
	-rm debian/tmp/usr/lib/*/deadbeef/*.la
	dh_install -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1

override_dh_missing:
	dh_missing --fail-missing -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1

override_dh_compress:
	dh_compress -XChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_strip:
	dh_strip --no-automatic-dbgsym
