=== debian/watch ===
version=4

https://github.com/DeaDBeeF-Player/deadbeef/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
