## deadbeef 1.9.1

=== debian/changelog ===
deadbeef (1.9.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Jul 2022 18:42:49 -0700

deadbeef-dmo (1.9.1-dmmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 23:55:29 +0200

deadbeef-dmo (1.9.0-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 May 2022 16:57:08 +0200

deadbeef-dmo (1.8.8-dmo2) unstable; urgency=medium

  * Build with libdispatch1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Sep 2021 10:56:46 +0200

deadbeef-dmo (1.8.8-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 20:06:41 +0200

deadbeef-dmo (1.8.7-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Feb 2021 18:54:31 +0100

deadbeef-dmo (1.8.6-dmo2) unstable; urgency=medium

  * Don't build static binary (Thanks to Dimitris Pitsioris for the bug
    report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Jan 2021 14:57:32 +0100

deadbeef-dmo (1.8.6-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Jan 2021 23:42:19 +0100

deadbeef-dmo (1.8.5-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Jan 2021 10:01:37 +0100

deadbeef-dmo (1.8.4-dmo2) unstable; urgency=medium

  * Disable soundtouch plugin for i386 architecture (doesn't build).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jun 2020 16:01:42 +0200

deadbeef-dmo (1.8.4-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jun 2020 16:11:47 +0200

deadbeef-dmo (1.8.3-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Mar 2020 00:24:23 +0100

deadbeef-dmo (1.8.2-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Aug 2019 22:02:29 +0200

deadbeef-dmo (1.8.1-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Jun 2019 23:19:48 +0200

deadbeef-dmo (1.8.0-dmo2) unstable; urgency=medium

  * Rebuild against libcdio19

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Jun 2019 08:04:51 +0200

deadbeef-dmo (1.8.0-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2019 08:47:40 +0200

deadbeef-dmo (0.7.2-dmo6) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Apr 2018 16:24:33 +0200

deadbeef-dmo (0.7.2-dmo5) unstable; urgency=medium

  * Rebuild against libcdio18

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jan 2018 16:04:43 +0100

deadbeef-dmo (0.7.2-dmo4) unstable; urgency=medium

  * Rebuild against libcdio16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Nov 2017 14:26:16 +0100

deadbeef-dmo (0.7.2-dmo3) unstable; urgency=medium

  * Rebuild against libcdio16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Aug 2017 08:11:48 +0200

deadbeef-dmo (0.7.2-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 17:30:26 +0100

deadbeef-dmo (0.7.2-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Apr 2016 00:20:26 +0200

deadbeef-dmo (0.7.1-dmo3) unstable; urgency=medium

  * Really rebuild against libpng-16. GTK3 GUI was missing in the previous
    release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Apr 2016 08:53:15 +0200

deadbeef-dmo (0.7.1-dmo2) unstable; urgency=medium

  * Rebuild against libpng-16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Apr 2016 13:36:13 +0200

deadbeef-dmo (0.7.1-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Mar 2016 00:35:10 +0100

deadbeef-dmo (0.7.0-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2016 16:48:19 +0100

deadbeef-dmo (0.7.0-dmo2) unstable; urgency=medium

  * Rebuild against libzip4

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Feb 2016 00:05:34 +0100

deadbeef-dmo (0.7.0-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Feb 2016 09:50:01 +0100

deadbeef-dmo (0.6.2-dmo8) unstable; urgency=medium

  * Call autoreconf to fix arm64 build.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Dec 2015 09:02:44 +0100

deadbeef-dmo (0.6.2-dmo7) unstable; urgency=medium

  * Funny ? No. Rebuild against libjpeg62-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2014 21:28:01 +0200

deadbeef-dmo (0.6.2-dmo6) unstable; urgency=medium

  * Second round to rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Oct 2014 22:35:19 +0200

deadbeef-dmo (0.6.2-dmo5) unstable; urgency=medium

  * New patch 03_glib_2.41 from git to fix a crash with never glib (2.41)

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Oct 2014 17:52:26 +0200

deadbeef-dmo (0.6.2-dmo4) unstable; urgency=medium

  * Disable GTK+ 2.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Oct 2014 13:01:58 +0200

deadbeef-dmo (0.6.2-dmo3) unstable; urgency=medium

  * Rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Sep 2014 09:17:19 +0200


